package net.locusworks.lsproject.object;


public class Path{
	
	private Router[] routers;
	private int totalCost;
	private int element = 0;
	
	public Path(Router[] _routers, int cost){
		
		totalCost = cost;
		routers = _routers;
	}
	
	public int getTotalCost(){
		return totalCost;
	}

	public boolean hasNext(){
		return (element < routers.length);
	}
	
	public void reset() {
		element = 0;
	}
	
	public Router getNext(){
		if (! hasNext())
			return null;
		
		Router r = routers[element];
		element++;
		return r;
	}
	
	public Router getDestinationRouter(){
		return routers[routers.length - 1];

	}

}
